# -*- coding: iso-8859-1 -*-
from __future__ import division # 1/2 == .5 (par defaut, 1/2 == 0)

##--------------------------------------#######
#        Gestionnaire de feuilles             #
##--------------------------------------#######
#    WxGeometrie
#    Dynamic geometry, graph plotter, and more for french mathematic teachers.
#    Copyright (C) 2005-2007  Nicolas Pourcelot
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


class Gestionnaire_de_feuilles(dict):

    def nouvelle_feuille(self):
        num = len(self) and max(self.keys()) + 1 or 1
        nom = nom or (u"Feuille %s" %num)

        #if self.f(nom):    # il y a une feuille de ce nom ouverte
        #    self.fermer_feuille(nom)

        self.actuelle = self.feuilles[num] = Feuille(self, titre = nom)
        self.update(self.actuelle)
        self.canvas.fenetre = self.param("fenetre") # sert en particulier à orthonormaliser le repère au besoin
