# -*- coding: iso-8859-1 -*-
from __future__ import division # 1/2 == .5 (par defaut, 1/2 == 0)

import mathlib

from customtest import *




class TestMathlibIntervalles(CustomTest):

    def assert_intervalle_preformater(self, x, y):
        y_ = mathlib.intervalles.preformatage_ensemble(x)
        if y_ != y:
            print "/!\\ Formule: ", x
            print "ERREUR: ",  y_, " != ", y
        self.assert_(y_ == y)
        
    def test_preformater(self):
        self.assert_intervalle_preformater("R", "]-oo;+oo[")
        self.assert_intervalle_preformater("R+", "[0;+oo[")
        self.assert_intervalle_preformater("R*", "]-oo;+oo[-{0}")
        self.assert_intervalle_preformater("R-U{3}", "]-oo;0]+{3}")
        self.assert_intervalle_preformater("R-{3}", "]-oo;+oo[-{3}")
        
if __name__ == '__main__':
    unittest.main()
